import { Meta, Story, Canvas, Description } from '@storybook/addon-docs/blocks';
import readme from './readme.md';
import { LoaderSpinnerSize } from './loader-spinner-size.enum';

<Meta title="loader/digi-loader-spinner" />

<!-- Description pulled from auto generated Stencil docs -->

<Description markdown={readme} />

## Sizes

The component exists in a few different sisez. Typescript users should import and use `LoaderSpinnerSize` to set size.

### Small

This is a small spinner.

<Canvas>
	<Story name="Small">
		/* html */
		{`
      <digi-typography>
       <digi-loader-spinner
       af-size="${LoaderSpinnerSize.SMALL}"
       >
       </digi-loader-spinner>
       </digi-typography>
    `}
	</Story>
</Canvas>

### Medium

This is a medium spinner. This is the default version.

<Canvas>
	<Story name="Medium">
		/* html */
		{`
      <digi-typography>
       <digi-loader-spinner
       af-size="${LoaderSpinnerSize.MEDIUM}"
       af-label="Laddar"
       >
       </digi-loader-spinner>
       </digi-typography>
    `}
	</Story>
</Canvas>

### Large

This is a large spinner.

<Canvas>
	<Story name="Large">
		/* html */
		{`
      <digi-typography>
       <digi-loader-spinner
       af-size="${LoaderSpinnerSize.LARGE}"
       af-label="Laddar"
       >
       </digi-loader-spinner>
       </digi-typography>
    `}
	</Story>
</Canvas>
